<?php

require_once("../config/conexion.php");
require_once("../models/Periodo.php");
require_once("../models/Permisos.php");
$periodo = new Periodo();
/* =============================================
  JAVASCRIPT
  ============================================= */
switch ($_GET["op"]) {
    case "consultar_periodo":
        $datos = $periodo->Periodo_por_ID($_POST["periodbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["periodbk"] = $row["periodbk"];
                $output["codper"] = $row["codper"];
                $output["descrip"] = $row["descrip"];
                $output["fecini"] = $row["fecini"];
                $output["mtrini"] = $row["mtrini"];
                $output["mtrfin"] = $row["mtrfin"];
                $output["planificacion"] = $row["planificacion"];
                $output["estado"] = $row["estado"];
            }
            echo json_encode($output);
        }
        break;
    case "listar":
        $datos = $periodo->Consultar($_GET["fil"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("PERIODO", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $estado = $row["estado"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $contacto = $row["contacto"];
            $leer = $row["leer"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["periodbk"];
            $sub_array[] = $row["codper"];
            $sub_array[] = $row["descrip"];
            $sub_array[] = $row["fecini"];
            $sub_array[] = $row["mtrini"];
            $sub_array[] = $row["mtrfin"];
            if ($estado == 1) {
                if ($row["estado"] != "INACTIVO") {
                    $sub_array[] = '<td><button class="btn btn-success btn-xs btnActivarPeriodo" idPeriodo="' . $row["periodbk"] . '" estadoPeriodo="INACTIVO">Activo</button></td>';
                } else {
                    $sub_array[] = '<td><button class="btn btn-danger btn-xs btnActivarPeriodo" idPeriodo="' . $row["periodbk"] . '" estadoPeriodo="ACTIVO">Inactivo</button></td>';
                }
            }
            if ($actualizar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editar(' . $row["periodbk"] . ');" id="' . $row["periodbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="eliminar(' . $row["periodbk"] . ');" id="' . $row["periodbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($leer == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="pdf(' . $row["periodbk"] . ');" id="' . $row["periodbk"] . '" class="btn btn-outline-primary btn-icon"><div>Aca. Adm.</div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "guardar":
        $datos = array("tabla" => "periodo",
            "periodbk" => $_POST["periodbk"],
            "codper" => $_POST["codper"],
            "descrip" => $_POST["descrip"],
            "fecini" => $_POST["fecini"],
            "mtrini" => $_POST["mtrini"],
            "mtrfin" => $_POST["mtrfin"],
            "planificacion" => $_POST["planificacion"]
        );
        $periodo->mdlActualizarPeriodo($datos);
        break;
    case "estado":
        if (isset($_POST["activarId"]) && isset($_POST["activarPeriodo"])) {
            $datos = array("tabla" => "periodo",
                "periodbk" => $_POST["activarId"],
                "estado" => $_POST["activarPeriodo"]
            );
            $periodo->mdlActualizarEstado($datos);
        }
        break;
    case "eliminar_periodo":
        $datos = $periodo->Eliminar_por_ID($_POST["periodbk"]);
        break;
    case "comboPeriodo":
        $datos = $periodo->Consultar("all");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['periodbk'] . "'>" . $row['descrip'] . "</option>";
            }
            echo $html;
        }
        break;
    case "comboPeriodoFiltro":
        $datos = $periodo->ConsultarFiltro($_POST["carreradbk"]);
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['periodbk'] . "'>" . $row['descrip'] . "</option>";
            }
            echo $html;
        }
        break;        
}
?>
